# Uses of Class
com.databricks.jdbc.dbclient.impl.common.TimeoutHandler

Packages that use TimeoutHandler
Package
Description
com.databricks.jdbc.dbclient.impl.common

## Uses of TimeoutHandler in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common that return TimeoutHandler
Modifier and Type
Method
Description
`static TimeoutHandler`
TimeoutHandler.`forStatement(int timeoutSeconds, StatementId statementId, IDatabricksClient client)`
Factory method to create a timeout handler for a databricks client with a statement ID.